# Uses of Package
com.sun.jdi

Packages that use com.sun.jdi
Package
Description
com.sun.jdi
This is the core package of the Java Debug Interface (JDI), it defines mirrors for values, types, and the target VirtualMachine itself - as well bootstrapping facilities.
com.sun.jdi.connect
This package defines connections between the virtual machine using the JDI and the target virtual machine.
com.sun.jdi.event
This package defines JDI events and event processing.
com.sun.jdi.request
This package is used to request that a JDI event be sent under specified conditions.
jdk.jshell.execution
Provides implementation support for building JShell execution engines.

Classes in com.sun.jdi used by com.sun.jdi
Class
Description
AbsentInformationException
Thrown to indicate line number or variable information is not available.
Accessible
Provides information on the accessibility of a type or type component.
ArrayReference
Provides access to an array object and its components in the target VM.
BooleanValue
Provides access to a primitive `boolean` value in the target VM.
ByteValue
Provides access to a primitive `byte` value in the target VM.
CharValue
Provides access to a primitive `char` value in the target VM.
ClassLoaderReference
A class loader object from the target VM.
ClassNotLoadedException
Thrown to indicate that the requested class has not yet been loaded through the appropriate class loader.
ClassObjectReference
An instance of java.lang.Class from the target VM.
ClassType
A mirror of a class in the target VM.
DoubleValue
Provides access to a primitive `double` value in the target VM.
Field
A class or instance variable in the target VM.
FloatValue
Provides access to a primitive `float` value in the target VM.
IncompatibleThreadStateException
Thrown to indicate that the requested operation cannot be completed while the specified thread is in its current state.
IntegerValue
Provides access to a primitive `int` value in the target VM.
InterfaceType
A mirror of an interface in the target VM.
InvalidTypeException
Thrown to indicate a type mismatch in setting the value of a field or variable, or in specifying the return value of a method.
InvocationException
Thrown to indicate an exception occurred in an invoked method within the target VM.
LocalVariable
A local variable in the target VM.
Locatable
A mirror that has a `Location`.
Location
A point within the executing code of the target VM.
LongValue
Provides access to a primitive `long` value in the target VM.
Method
A static or instance method in the target VM.
Mirror
A proxy used by a debugger to examine or manipulate some entity in another virtual machine.
ModuleReference
A module in the target VM.
MonitorInfo
Information about a monitor owned by a thread.
ObjectReference
An object that currently exists in the target VM.
OpaqueFrameException
Thrown to indicate an operation could not be performed on a frame.
PrimitiveType
The type associated with non-object values in a target VM.
PrimitiveValue
The value assigned to a field or variable of primitive type in a target VM.
ReferenceType
The type of an object in a target VM.
ShortValue
Provides access to a primitive `short` value in the target VM.
StackFrame
The state of one method invocation on a thread's call stack.
StringReference
A string object from the target VM.
ThreadGroupReference
A thread group object from the target VM.
ThreadReference
A thread object from the target VM.
Type
The mirror for a type in the target VM.
TypeComponent
An entity declared within a user defined type (class or interface).
Value
The mirror for a value in the target VM.
VirtualMachine
A virtual machine targeted for debugging.
VirtualMachineManager
A manager of connections to target virtual machines.
VoidValue
Provides access to a primitive `void` value in the target VM.
Classes in com.sun.jdi used by com.sun.jdi.connect
Class
Description
VirtualMachine
A virtual machine targeted for debugging.
Classes in com.sun.jdi used by com.sun.jdi.event
Class
Description
Field
A class or instance variable in the target VM.
Locatable
A mirror that has a `Location`.
Location
A point within the executing code of the target VM.
Method
A static or instance method in the target VM.
Mirror
A proxy used by a debugger to examine or manipulate some entity in another virtual machine.
ObjectReference
An object that currently exists in the target VM.
ReferenceType
The type of an object in a target VM.
ThreadReference
A thread object from the target VM.
Value
The mirror for a value in the target VM.
Classes in com.sun.jdi used by com.sun.jdi.request
Class
Description
Field
A class or instance variable in the target VM.
Locatable
A mirror that has a `Location`.
Location
A point within the executing code of the target VM.
Mirror
A proxy used by a debugger to examine or manipulate some entity in another virtual machine.
ObjectReference
An object that currently exists in the target VM.
ReferenceType
The type of an object in a target VM.
ThreadReference
A thread object from the target VM.
Classes in com.sun.jdi used by jdk.jshell.execution
Class
Description
ReferenceType
The type of an object in a target VM.
VirtualMachine
A virtual machine targeted for debugging.